Last Comment Bug 689508 - Search results/count mismatch occurring
: Search results/count mismatch occurring
Status: RESOLVED WONTFIX
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Add-on Builder (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal
: ---
Assigned To: Arron Schaar [:arron]
:
:
Mentors:
Depends on:
Blocks: 792332
  Show dependency treegraph
 
Reported: 2011-09-27 02:46 PDT by Zac C (:zac)
Modified: 2014-09-24 06:39 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot showing mismatch (49.15 KB, image/jpeg)
2011-09-27 02:46 PDT, Zac C (:zac)
no flags Details

Description Zac C (:zac) 2011-09-27 02:46:19 PDT
Created attachment 562693 [details]
Screenshot showing mismatch

For search string 'test' and filter of libraries, the count value and the actual results list are mismatched.

See screenshot.
Comment 1 Daniel Buchner [:dbuc] 2011-11-11 12:19:26 PST
(In reply to Zac C from comment #0)
> Created attachment 562693 [details]
> Screenshot showing mismatch
> 
> For search string 'test' and filter of libraries, the count value and the
> actual results list are mismatched.
> 
> See screenshot.

Do you still see this in prod Zac? Arron, take a look and try to reproduce.
Comment 2 Zac C (:zac) 2011-12-08 04:03:53 PST
This has been resolved, think it was a db issue.
Comment 3 Arron Schaar [:arron] 2011-12-08 09:07:42 PST
This issue was related to ElasticSearch timeouts which would then cause ES to become out of sync with the database.  

We increased the ES timeout and resync'd when we deployed, so it is fixed... for now.
Comment 4 Zac C (:zac) 2012-10-02 02:52:23 PDT
Our automated test has just flagged this up in Production.
Comment 5 Wil Clouser [:clouserw] 2014-04-02 09:49:21 PDT
The builder project has been discontinued as of April 1st, 2014.

The announcement last year: https://blog.mozilla.org/addons/2013/12/18/add-on-builder/

Next steps (still being written): https://developer.mozilla.org/en-US/Add-ons/SDK/Builder

Note You need to log in before you can comment on or make changes to this bug.